%define api_version 1.3.1
%define pkg_name geronimo-javamail_%{api_version}_spec

Name:          geronimo-javamail-1.3.1-api
Version:       1.3
Release:       %mkrel 1
Summary:       JavaMail Spec API %{api_version}
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-javamail_1.3.1_spec-1.3/
# tar czf geronimo-javamail_1.3.1_spec-1.3-src-svn.tar.gz geronimo-javamail_1.3.1_spec-1.3
Source0:       geronimo-javamail_1.3.1_spec-1.3-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: geronimo-jaf-1.0.2-api
BuildRequires: geronimo-parent-poms
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      geronimo-jaf-1.0.2-api
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Geronimo Javamail %{api_version} Specification.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Javamail %{api_version} Specification.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE README ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-javamail-%{api_version}-api-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-javamail-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-javamail-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-javamail-%{api_version}-api-%{version}.jar geronimo-javamail-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-javamail-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-javamail-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-javamail-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-javamail-1.3.1-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt README.txt

%files javadoc
%{_javadocdir}/geronimo-javamail-%{api_version}-api


%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 1.3-1.mga2
+ Revision: 139084
- Adapt to mageia guidelines

  + gil <gil>
    - imported package geronimo-javamail-1.3.1-api

